Index: gap-4.15.0~beta1/lib/package.gi
===================================================================
--- gap-4.15.0~beta1.orig/lib/package.gi
+++ gap-4.15.0~beta1/lib/package.gi
@@ -2074,6 +2074,10 @@ InstallGlobalFunction( AutoloadPackages,
           LogPackageLoadingMessage( PACKAGE_DEBUG,
               Concatenation( "excluded from autoloading: ", name ),
               "GAP" );
+        elif PackageInfo( name ) = [ ] then
+          LogPackageLoadingMessage( PACKAGE_DEBUG,
+              Concatenation( "skipping from autoloading as not installed: ", name ),
+              "GAP" );
         elif not IsBound( GAPInfo.PackagesLoaded.( LowercaseString( name ) ) ) then
           LogPackageLoadingMessage( PACKAGE_DEBUG,
               Concatenation( "considering for autoloading: ", name ),
